libdap::rvalue Class Reference

`#include <RValue.h>`

## Public Types

typedef std::vector< rvalue * >::const_iterator | Args_citer
typedef std::vector< rvalue * >::iterator | Args_iter

## Public Member Functions

BaseType * | bvalue (DDS &dds)
| rvalue (BaseType *bt)
| rvalue (btp_func f, std::vector< rvalue * > *a)
std::string | value_name ()

## Detailed Description

Holds the rvalues for the parser, Clause objects and evaluator.

See also
  Clause.h
  DDS.h
  expr.y

Definition at line 47 of file RValue.h.

## Member Typedef Documentation

## Args_citer

typedef std::vector<rvalue*>::const_iterator libdap::rvalue::Args_citer

Definition at line 55 of file RValue.h.

## Args_iter

typedef std::vector<rvalue*>::iterator libdap::rvalue::Args_iter

Definition at line 54 of file RValue.h.

## Constructor & Destructor Documentation

## rvalue() [1/3]

libdap::rvalue::rvalue | ( | BaseType * | bt | ) |

Definition at line 125 of file RValue.cc.

## rvalue() [2/3]

libdap::rvalue::rvalue | ( | btp_func | f,
|  | std::vector< rvalue * > * | a
| ) |  |

Definition at line 127 of file RValue.cc.

## rvalue() [3/3]

libdap::rvalue::rvalue | ( |  | ) |

Definition at line 129 of file RValue.cc.

## ~rvalue()

libdap::rvalue::~rvalue | ( |  | ) |

virtual

Definition at line 131 of file RValue.cc.

## Member Function Documentation

## bvalue()

BaseType * libdap::rvalue::bvalue | ( | DDS & | dds | ) |

Return the BaseType * for a given rvalue. If the rvalue is a func_rvalue, evaluates the func_rvalue and returns the result. The functions referenced by func_rvalues must encapsulate their return values in BaseType *s.

Parameters

  dds | The dds to pass to a function.

Definition at line 159 of file RValue.cc.

## value_name()

string libdap::rvalue::value_name | ( |  | ) |

Definition at line 146 of file RValue.cc.

The documentation for this class was generated from the following files:

- RValue.h
- RValue.cc